<mat-list-item [ngClass]="{'outdated': isOutdated }">
    <div fxLayout="row" fxLayoutAlign="center center" fxFlexFill>
        <div class="mx-1" fxFlex>
            <mat-icon color="primary" *ngIf="isOutdated"
            #tooltip="matTooltip"
            [matTooltip]="'OUTDATED' | translate">elderly</mat-icon>
        </div>
        <span fxFlex="10" class="mat-body-2">{{exchangeCurrency.name}}</span>

        <div fxFlex="10" fxLayout="row" fxLayoutAlign="start center" >
            <app-in-place-input [value]="latestRate?.rate" [required]="true" (onSubmit)="onChangedValue($event)">
            </app-in-place-input>
            <div>
                <sup>{{sourceCurrency?.name}}</sup>/<sub>{{exchangeCurrency?.name}}</sub>
            </div>
        </div>
        <div fxFlex="20" fxLayout="column">
            <span fxFlex="auto" class="mat-caption text-right">{{'LAST_UPDATED' | translate}}</span>
            <span *ngIf="formattedDate" fxFlex="auto" class="mat-body-1 text-right">{{formattedDate}}</span>
            <span *ngIf="!formattedDate" fxFlex="auto" class="mat-body-1 text-right">{{ 'NO_DATA' | translate}}</span>
        </div>
        <div fxFlex="auto" fxFlexFill></div>
        <div fxFlex="nogrow"></div>
    </div>
    <mat-divider></mat-divider>
</mat-list-item>